[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EOverflow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Float overflow error.

## Declaration

Source position: sysutilh.inc line 105

`type EOverflow = class(EMathError) end;`

## Inheritance

`EOverflow` |  | Float overflow error.
`EMathError` |  | Mathematical error
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EOverflow occurs when a float operation overflows. (i.e. result is too big to represent).

## See also

EIntError |  | Integer operation error.
EIntOverflow |  | Integer overflow error.
EDivByZero |  | Division by zero error.
ERangeError |  | Range check error.
EUnderFlow |  | Float underflow error

The latest version of this document can be found at lazarus-ccr.sourceforge.net.